import request from '@/utils/httpRequest'

export default class reimbursementIsNoTicketService {
  findList (params) {
    return request({
      url: '/assess/reimbursementBusinessTwo/findListPage',
      method: 'get',
      params: params
    })
  }

  saveBusiness (inputForm) {
    return request({
      url: `/assess/reimbursement/saveBusiness`,
      method: 'post',
      data: inputForm
    })
  }

  saveGatheringTime (inputForm) {
    return request({
      url: `/assess/reimbursement/saveGatheringTime`,
      method: 'post',
      data: inputForm
    })
  }
  getBusinessById (id) {
    return request({
      url: `/assess/reimbursementBusiness/getBusinessById`,
      method: 'get',
      params: {id: id}
    })
  }
  queryById (id) {
    return request({
      url: `/assess/reimbursementUser/queryById`,
      method: 'get',
      params: {id: id}
    })
  }
  updateReimbursementRatio (inputForm) {
    return request({
      url: `/assess/reimbursement/updateReimbursementRatio`,
      method: 'post',
      data: inputForm
    })
  }

  saveInvoice (inputForm) {
    return request({
      url: `/assess/reimbursement/saveInvoice`,
      method: 'post',
      data: inputForm
    })
  }

  modifyInvoice (inputForm) {
    return request({
      url: `/assess/reimbursement/modifyInvoice`,
      method: 'post',
      data: inputForm
    })
  }

  deleteBusiness (ids) {
    return request({
      url: '/assess/reimbursement/deleteBusiness',
      method: 'delete',
      params: {ids: ids}
    })
  }

  deleteInvoice (ids) {
    return request({
      url: '/assess/reimbursementBusinessTwo/delById/' + ids,
      method: 'delete',
      params: {ids: ids}
    })
  }

  delete (ids) {
    return request({
      url: '/assess/reimbursement/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }

  queryBusinessById (id) {
    return request({
      url: `/assess/reimbursement/queryBusinessById`,
      method: 'get',
      params: {id: id}
    })
  }

  queryBusinessByInvoiceId (id) {
    return request({
      url: `/assess/reimbursement/queryBusinessByInvoiceId`,
      method: 'get',
      params: {id: id}
    })
  }

  queryInvoiceById (id) {
    return request({
      url: `/assess/reimbursement/queryInvoiceById`,
      method: 'get',
      params: {id: id}
    })
  }

  addBatchReimbursement (invoiceNumbers) {
    return request({
      url: '/assess/reimbursement/addBatchReimbursement',
      method: 'put',
      params: {
        invoiceNumbers: invoiceNumbers
      }
    })
  }

  findSelectList () {
    return request({
      url: '/assess/reimbursementBusinessTwo/findSelectList',
      method: 'post'
    })
  }

  modifyBindCode (params) {
    return request({
      url: '/assess/reimbursementBusinessTwo/modifyBindCode',
      method: 'post',
      params: params
    })
  }

  findSelectYearList () {
    return request({
      url: '/assess/reimbursementBusinessTwo/findSelectYearList',
      method: 'post'
    })
  }

  findSelectCodeListByYear (year) {
    return request({
      url: '/assess/reimbursementBusinessTwo/findSelectCodeListByYear/' + year,
      method: 'post'
    })
  }

  exportExcel (params) {
    return request({
      url: '/assess/reimbursementBusinessTwo/export',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
}
